	switch(input_type)
	{
		case DEVICE_ID_TOUCH:
			while(read(sock_fd, &event_light, sizeof(struct input_event_light)))
			{
				if(event_light.type == 3)
				{
					event.type=EV_REL;
		
					if(event_light.code == 0)
					{
						if(!event_light_value_old_0)
							event_light_value_old_0=event_light.value;

						/*if(input_type == DEVICE_ID_TOUCH_ROTATE)
							event.code=REL_X;
						else
							event.code=REL_Y;*/

						event.value=event_light_value_old_0 - event_light.value;
						event.value*=speed_factor;

						event_light_value_old_0=event_light.value;

						input_event_write(event);

					}
					else if(event_light.code == 1)
					{
						if(!event_light_value_old_1)
							event_light_value_old_1=event_light.value;

						event.value=event_light_value_old_1 - event_light.value;

						/*if(input_type == DEVICE_ID_TOUCH_ROTATE)
							event.code=REL_Y;
						else
						{*/
							event.code=REL_X;
							event.value*=-1;

						//}

						event.value*=speed_factor;

						event_light_value_old_1=event_light.value;

						input_event_write(event);
					}
					else if(event_light.code == 24 && event_light.value == 0)
					{
						event_light_value_old_0=0;
						event_light_value_old_1=0;
					}
				}
				if(event_light.type == 1 && event_light.code == 169)
				{
					if(event_light.value == 1)
					{
						event.type=EV_KEY;
						event.code = BTN_LEFT;
						event.value = 1;

						input_event_write(event);
					}
					else if(event_light.value == 0)
					{
						event.type=EV_KEY;
						event.code = BTN_LEFT;
						event.value = 0;

						input_event_write(event);
					}
				}
				if(event_light.type == 1 && event_light.code == 116)
				{
					if(event_light.value == 1)
					{
						event.type=EV_KEY;
						event.code = BTN_RIGHT;
						event.value = 1;

						input_event_write(event);
					}
					else if(event_light.value == 0)
					{
						event.type=EV_KEY;
						event.code = BTN_RIGHT;
						event.value = 0;

						input_event_write(event);
					}
				}
				if(event_light.type == 0 && event_light.code == 0 && event_light.value == 0)
				{
					event.type = EV_SYN;
					event.code = SYN_REPORT;
					event.value = 0;

					input_event_write(event);
				}
			}
		break;
		case DEVICE_ID_ACCEL:
			while(read(sock_fd, &event_light, sizeof(struct input_event_light)))
			{
				if(event_light.type == 1 && event_light.code == 169 && event_light.value == 1)
				{
					if(!pause_lock)
						pause_lock=1;
					else
						pause_lock=0;
				}

				if(event_light.type == 1 && event_light.code == 116)
				{
					if(event_light.value == 1)
					{
						event.type=EV_KEY;
						event.code = KEY_SPACE;
						event.value = 1;

						input_event_write(event);
					}
					else if(event_light.value == 0)
					{
						event.type=EV_KEY;
						event.code = KEY_SPACE;
						event.value = 0;

						input_event_write(event);
					}

					event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
					input_event_write(event);
				}

				if(pause_lock)
				{
					event.type=EV_KEY;

					if(up_lock)
					{
						event.code=KEY_UP;
						event.value=0;
						input_event_write(event);

						event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
						input_event_write(event);

						up_lock=0;
					}
					if(down_lock)
					{
						event.code=KEY_DOWN;
						event.value=0;
						input_event_write(event);

						event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
						input_event_write(event);

						down_lock=0;
					}
					if(left_lock)
					{
						event.code=KEY_LEFT;
						event.value=0;
						input_event_write(event);

						event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
						input_event_write(event);

						left_lock=0;
					}
					if(right_lock)
					{
						event.code=KEY_RIGHT;
						event.value=0;
						input_event_write(event);

						event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
						input_event_write(event);

						right_lock=0;
					}

					continue;
				}

				if(event_light.type == 3)
				{
					event.type=EV_KEY;

					/*
					1000 à -1000
					1000 -> penché en avant
					0 -> plat
					-1000 -> penché en arrière

					---> après -750, on considère qu'on freine
					---> entre -250 et -750 on fait rien
					---> entre 1000 et -250, on accel
					*/

					if(event_light.code == 0)
					{
						if(event_light.value > -250 || event_light.value < -750)
						{
							if(event_light.value > 750)
							{
								if(!up_lock)
								{
									event.code=KEY_UP;
									event.value=1;
									input_event_write(event);

									event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
									input_event_write(event);

									up_lock=1;
									down_lock=0;
								}
								else
								{
									event.code=KEY_UP;
									event.value=2;
									input_event_write(event);

									event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
									input_event_write(event);
								}
							}
							else if(up_lock)
							{
								event.code=KEY_UP;
								event.value=0;
								input_event_write(event);

								event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
								input_event_write(event);

								up_lock=0;
							}

							if(event_light.value < -750)
							{
								if(!down_lock)
								{
									event.code=KEY_DOWN;
									event.value=1;
									input_event_write(event);

									event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
									input_event_write(event);

									up_lock=0;
									down_lock=1;
								}
								else
								{
									event.code=KEY_DOWN;
									event.value=2;
									input_event_write(event);

									event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
									input_event_write(event);
								}
							}
							else if(down_lock)
							{
								event.code=KEY_DOWN;
								event.value=0;
								input_event_write(event);

								event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
								input_event_write(event);

								down_lock=0;
							}
						}
						else
						{
							if(up_lock)
							{
								event.code=KEY_UP;
								event.value=0;
								input_event_write(event);

								event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
								input_event_write(event);

								up_lock=0;
							}
							if(down_lock)
							{
								event.code=KEY_DOWN;
								event.value=0;
								input_event_write(event);

								event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
								input_event_write(event);

								down_lock=0;
							}
						}
					}

					/*
					75 -> -75  : rien
					0 -> 750   : petite inclinaison gauche -> KEY_RIGHTSHIFT
					0 -> 1000  : grosse inclinaison gauche
					0 -> -750  : petite inclinaison droite -> KEY_RIGHTSHIFT
					0 -> -1000 : grosse inclinaison droite

					0 - 750    : par accoups
					750 - * : en continu
					*/

					if(event_light.code == 1)
					{
						if(event_light.value > 250 || event_light.value < -250)
						{
							if(event_light.value > 0)
							{
								if(!left_lock)
								{
									event.code=KEY_LEFT;
									event.value=1;
									input_event_write(event);

									event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
									input_event_write(event);

									right_lock=0;
									left_lock=1;
								}
								else
								{
									event.code=KEY_LEFT;
									event.value=2;
									input_event_write(event);

									event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
									input_event_write(event);
								}
							}
							else if(left_lock)
							{
								event.code=KEY_LEFT;
								event.value=0;
								input_event_write(event);

								event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
								input_event_write(event);

								left_lock=0;
							}
					
							if(event_light.value < 0)
							{
								if(!right_lock)
								{
									event.code=KEY_RIGHT;
									event.value=1;
									input_event_write(event);

									event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
									input_event_write(event);

									right_lock=1;
									left_lock=0;
								}
								else
								{
									event.code=KEY_RIGHT;
									event.value=2;
									input_event_write(event);

									event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
									input_event_write(event);
								}
							}
							else if(right_lock)
							{
								event.code=KEY_RIGHT;
								event.value=0;
								input_event_write(event);

								event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
								input_event_write(event);

								right_lock=0;
							}
						}
						else
						{
							if(left_lock)
							{
								event.code=KEY_LEFT;
								event.value=0;
								input_event_write(event);

								event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
								input_event_write(event);

								left_lock=0;
							}
							if(right_lock)
							{
								event.code=KEY_RIGHT;
								event.value=0;
								input_event_write(event);

								event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
								input_event_write(event);

								right_lock=0;
							}
		
						}
					}
				}
			}

			if(up_lock)
			{
				event.code=KEY_UP;
				event.value=0;
				input_event_write(event);

				event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
				input_event_write(event);

				up_lock=0;
			}
			if(down_lock)
			{
				event.code=KEY_DOWN;
				event.value=0;
				input_event_write(event);

				event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
				input_event_write(event);

				down_lock=0;
			}
			if(left_lock)
			{
				event.code=KEY_LEFT;
				event.value=0;
				input_event_write(event);

				event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
				input_event_write(event);

				left_lock=0;
			}
			if(right_lock)
			{
				event.code=KEY_RIGHT;
				event.value=0;
				input_event_write(event);

				event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
				input_event_write(event);

				right_lock=0;
			}
			if(shift_lock)
			{
				event.code=KEY_RIGHTSHIFT;
				event.value=0;
				input_event_write(event);

				event.type = EV_SYN; event.code = SYN_REPORT; event.value = 0;
				input_event_write(event);

				shift_lock=0;
			}
		break;
	}

